Setting Advanced Kernel Parameters

#### Search Results

Search

# Setting Advanced Kernel Parameters

To set advanced Kernel definition parameters:

Make sure you have accessed the System Management Hub.

1. Select the name of the managed host on which Entire Net-Work Server is installed.

2. Expand the tree-view frame for the managed host by clicking on the plus sign (+) to the left of its name.

3. Select "Entire Net-Work Server" in the tree-view under the managed host.

   The Entire Net-Work Server administration area of the System Management Hub becomes available to you.

4. Expand Servers in tree-view, by clicking on the plus sign (+) to the left of its label.

   The list of installed servers appears.

5. Expand the name of the server in the server list in tree-view, by clicking on the plus sign (+) to the left of its label.

   A list of Kernels defined to the server appears.

6. In tree-view, right-click on the name of the Kernel for which you want to set advanced parameters and select the Set Advanced Parameters command from the resulting drop-down menu.

   The Kernel Advanced Parameters panel appears in detail-view.

7. Modify the parameters on the Kernel Advanced Parameters panel, as described in the following table. When all parameters are set as you want, click OK to save them.

   Parameter | Description
   --- | ---
   ADABAS_TIMEOUT | Specify the number of seconds the Kernel should wait for a response from either a local or remote Adabas call before it times out. The default is 60 seconds; the minimum value you can specify is 5 seconds.
   TIMER_TIMEOUT | Specify the frequency (in seconds) at which the Kernel should check to see if it needs to run the STATISTICS_INTERVAL, PING_DB_INTERVAL, or CHECK_DBS_INTERVAL processing. The default is 6 seconds.
   STATISTICS_DETAILS | Indicate whether detail statistics should be collected and displayed for clients and client hosts. Valid values for this parameter are "YES" and "NO"; the default is "NO". Note that there is the performance of your system could be affected when statistic details are collected.
   STATISTICS_INTERVAL | Specify the frequency at which statistics are collected for the Kernel, in minutes. The default is 60 minutes.
   PING_DB_INTERVAL | Specify the frequency at which remote databases should be pinged to determine their status, in minutes. The default is zero (0) minutes (no pinging).
   CHECK_DBS_INTERVAL | Specify the frequency at which local databases should be pinged to determine their status, in seconds. The default is 20 seconds.
   GATEWAY_THREADS | Specify the number of threads available for a network node. When this limit is exceeded, service requests will wait until a thread becomes available. Use this parameter to tune how your network processes requests. The default (and minimum) is 5 threads; the maximum is 1024 threads.
   USER_EXITS | This field is supplied only to support compatibility with Entire Net-Work 2 releases. We recommend that user exits be used applied in Entire Net-Work Client rather than in Entire Net-Work Kernels. However, if you have a Kernel user exit that you used with Entire Net-Work Version 2.6, specify the name of the user exit DLL file that should be used with this Kernel in this field.
   CHECK_CXT_INTERVAL | Specify how old the Adabas contexts that are created by Entire Net-Work clients can be, in seconds. Valid values are zero (0) or an integer between 60 and 86400 seconds (24 hours). The default value is 3600 seconds (1 hour). Anytime a client connects with Entire Net-Work, a context (a memory table with client information) for that specific client is created. When a client disconnects, the context is deleted. In situations when clients are disconnected abnormally (for example, they crash) or they are not disconnected for a long time (for example, when navigating on a web page), the size of Entire Net-Work unused memory increases significantly, which can affect Entire Net-Work performance. To avoid such situations, you can use this parameter to indicate how long contexts should be allowed to remain. If CHECK_CXT_INTERVAL is not zero, an Entire Net-Work thread periodically (every minute) checks the Adabas contexts created by clients connected to Entire Net-Work. Contexts older than the time set by this parameter are deleted.
   Protocol Family | Select the TCP/IP protocol family used for the Kernel. Click (check) Unspecified, IPV4 Only, or IPV6 Only. If you select IPV4 Only or IPV6 Only, only the selected protocol is used for communications with this Kernel. If you select Unspecified, the domain name server (DNS) will determine which protocol is used; Unspecified is the default. Warning We recommend that you use the default value (Unspecified) for this parameter, allowing the DNS to determine which communication protocol is appropriate. If you do specify a specific protocol, calls to Entire Net-Work via the other protocol type are ignored.

   The Kernel advanced parameters are updated in the appropriate Kernel definition file. You must restart the Kernel in order for these parameter changes to take effect.